Subject: Re: [urn] Request for urn mrn

From: "Svensson, Lars" <[email-masked]>
Date: Thu, 31 Aug 2017 11:18:10 +0000

Hi Kasper,

On Thursday, August 31, 2017 10:32 AM, urn [mailto:[email-masked]] On Behalf Of Kasper Nielsen wrote:

> Thank you for the your pointers. I should have addressed both of your
> concerns (see inlined)
> An updated version is available at https://raw.githubusercontent.com/dma-
> dk/www.mrnregistry.org/gh-pages/iana-registration
 
Eventually I also got around to review your request. It looks almost ready to me, but there are two areas you might want to look into:

1) I cannot find anything on how you want to ensure that the identifiers (e. g. the URNs) remain unique and that they are not by accident assigned twice. In the "Assignment" section you write that "Management of Organization-Specific Namespace IDs should be done in    accordance to the guidelines provided at http://www.mrnregistry.org." If that enough to ensure uniqueness of the that's fine with me but it would be helpful to have that explicit in the registration document.

2) There is no section on lexical equivalence (e. g. how you can decide if two character sequences are "the same" URN). The "Syntax" section says: "The namespace, “mrn”, is case-insensitive in processing but is  conventionally written in lower case" but that's about all. Since much of the handling is done in sub-namespaces, I understand that it can be difficult to give exact rules here, but I think that the registration at least should say that for comparison, the strings "urn" and "mrn" must be converted to lower case. If you can have such a rule for the OID, too, it would be excellent. Beyond that, I guess that it depends on the how the organisation identified by the OID handles its OSS.

Best,

Lars

*** Lesen. Hören. Wissen. Deutsche Nationalbibliothek *** 
-- 
Dr. Lars G. Svensson
Deutsche Nationalbibliothek
Informationsinfrastruktur
Adickesallee 1
60322 Frankfurt am Main
Telefon: +49 69 1525-1752
Telefax: +49 69 1525-1799
mailto:[email-masked] 
http://www.dnb.de